[GH-ISSUE #1421] Environment variables not available in the context of the the workflow step definition #744

Closed
opened 2026-03-01 21:46:00 +03:00 by kerem · 9 comments
Owner

Originally created by @cyrus-mc on GitHub (Oct 31, 2022).
Original GitHub issue: https://github.com/nektos/act/issues/1421

Bug report info

› act --bug-report
act version:            0.2.32-20-gbc17371
GOOS:                   darwin
GOARCH:                 arm64
NumCPU:                 10
Docker host:            DOCKER_HOST environment variable is unset/empty.
Sockets found:
        /var/run/docker.sock
Config files:
        /Users/matthewceroni/.actrc:
                -P ubuntu-latest=catthehacker/ubuntu:act-latest
                -P ubuntu-22.04=catthehacker/ubuntu:act-22.04
                -P ubuntu-20.04=catthehacker/ubuntu:act-20.04
                -P ubuntu-18.04=catthehacker/ubuntu:act-18.04
        .actrc:
                -P self-hosted=catthehacker/ubuntu:act-latest
                --bind
                -v
Build info:
        Go version:            go1.19
        Module path:           command-line-arguments
        Main version:
        Main path:
        Main checksum:
        Build settings:
                -compiler:            gc
                -ldflags:             -X main.version=0.2.32-20-gbc17371
                CGO_ENABLED:          1
                CGO_CFLAGS:
                CGO_CPPFLAGS:
                CGO_CXXFLAGS:
                CGO_LDFLAGS:
                GOARCH:               arm64
                GOOS:                 darwin
Docker Engine:
        Engine version:        20.10.12
        Engine runtime:        runc
        Cgroup version:        2
        Cgroup driver:         cgroupfs
        Storage driver:        overlay2
        Registry URI:          https://index.docker.io/v1/
        OS:                    Docker Desktop
        OS type:               linux
        OS version:
        OS arch:               aarch64
        OS kernel:             5.10.76-linuxkit
        OS CPU:                5
        OS memory:             7936 MB
        Security options:
                name=seccomp,profile=default
                name=cgroupns

Command used with act

act -P self-hosted=catthehacker/ubuntu:act-latest --bind

Describe issue

I have the following sample workflow

name: example

on: [ pull_request ]

jobs:
  diff:
    runs-on: [ self-hosted ]

    name: ArgoCD diff
    steps:
      - name: checkout
        uses: actions/checkout@v3
        with:
          fetch-depth: 0

      - name: test
        id: test
        run: |
          echo "fooBar=fooValue" >> $GITHUB_ENV

      - name: output
        run: |
          env

      - name: diff
        uses: ./
        with:
          someInput: ${{ env.fooBar }}}}

For the last action someInput is required. The previous step that dumps the env shows that fooBar is present. But the final step errors with someInput is a required input (I am doing input validation within that custom action).

When running this in GitHub it works as expected, with the value of env.fooBar being passed to the action.

No response

Workflow content

name: example

on: [ pull_request ]

jobs:
  diff:
    runs-on: [ self-hosted ]

    name: ArgoCD diff
    steps:
      - name: checkout
        uses: actions/checkout@v3
        with:
          fetch-depth: 0

      - name: test
        id: test
        run: |
          echo "fooBar=fooValue" >> $GITHUB_ENV

      - name: output
        run: |
          env

      - name: diff
        uses: ./
        with:
          someInput: ${{ env.fooBar }}}}

Relevant log output

WARN  ⚠ You are using Apple M1 chip and you have not specified container architecture, you might encounter issues while running act. If so, try running it with '--container-architecture linux/amd64'. ⚠
DEBU[0000] Loading environment from /Users/./code/misc/github-actions/.env
DEBU[0000] Loading secrets from /Users/./code/misc/github-actions/.secrets
DEBU[0000] Loading workflows from '/Users/./code/misc/github-actions/.github/workflows'
DEBU[0000] Loading workflows recursively
DEBU[0000] Found workflow 'argocd-diff.yaml' in '/Users/./code/misc/github-actions/.github/workflows/argocd-diff.yaml'
DEBU[0000] Found workflow 'argocd-diff.yaml.bkp' in '/Users/./code/misc/github-actions/.github/workflows/argocd-diff.yaml.bkp'
DEBU[0000] Found workflow 'vault-secrets.yaml.bkp' in '/Users/./code/misc/github-actions/.github/workflows/vault-secrets.yaml.bkp'
DEBU[0000] Reading workflow '/Users/./code/misc/github-actions/.github/workflows/argocd-diff.yaml'
DEBU[0000] Preparing plan with all jobs
DEBU[0000] Using the only detected workflow event: pull_request
DEBU[0000] Planning jobs for event: pull_request
DEBU[0000] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
DEBU[0000] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] evaluating expression 'success()'
[argocd-diff/ArgoCD diff] [DEBUG] expression 'success()' evaluated to 'true'
[argocd-diff/ArgoCD diff] 🚀  Start image=catthehacker/ubuntu:act-latest
[argocd-diff/ArgoCD diff]   🐳  docker pull image=catthehacker/ubuntu:act-latest platform= username= forcePull=false
[argocd-diff/ArgoCD diff] [DEBUG]   🐳  docker pull catthehacker/ubuntu:act-latest
[argocd-diff/ArgoCD diff] [DEBUG] Image exists? true
[argocd-diff/ArgoCD diff] [DEBUG] Removed container: 70c1c37f67904f347c07775988d4e2fedbd73578e78c78963d09be916c2b504c
[argocd-diff/ArgoCD diff] [DEBUG]   🐳  docker volume rm act-argocd-diff-ArgoCD-diff-env
[argocd-diff/ArgoCD diff]   🐳  docker create image=catthehacker/ubuntu:act-latest platform= entrypoint=["/usr/bin/tail" "-f" "/dev/null"] cmd=[]
[argocd-diff/ArgoCD diff] [DEBUG] Common container.Config ==> &{Hostname: Domainname: User: AttachStdin:false AttachStdout:false AttachStderr:false ExposedPorts:map[] Tty:true OpenStdin:false StdinOnce:false Env:[RUNNER_TOOL_CACHE=/opt/hostedtoolcache RUNNER_OS=Linux RUNNER_ARCH=arm64 RUNNER_TEMP=/tmp] Cmd:[] Healthcheck:<nil> ArgsEscaped:false Image:catthehacker/ubuntu:act-latest Volumes:map[] WorkingDir:/Users/./code/misc/github-actions Entrypoint:[] NetworkDisabled:false MacAddress: OnBuild:[] Labels:map[] StopSignal: StopTimeout:<nil> Shell:[]}
[argocd-diff/ArgoCD diff] [DEBUG] Common container.HostConfig ==> &{Binds:[/var/run/docker.sock:/var/run/docker.sock /Users/./code/misc/github-actions:/Users/./code/misc/github-actions:delegated] ContainerIDFile: LogConfig:{Type: Config:map[]} NetworkMode:host PortBindings:map[] RestartPolicy:{Name: MaximumRetryCount:0} AutoRemove:false VolumeDriver: VolumesFrom:[] CapAdd:[] CapDrop:[] CgroupnsMode: DNS:[] DNSOptions:[] DNSSearch:[] ExtraHosts:[] GroupAdd:[] IpcMode: Cgroup: Links:[] OomScoreAdj:0 PidMode: Privileged:false PublishAllPorts:false ReadonlyRootfs:false SecurityOpt:[] StorageOpt:map[] Tmpfs:map[] UTSMode: UsernsMode: ShmSize:0 Sysctls:map[] Runtime: ConsoleSize:[0 0] Isolation: Resources:{CPUShares:0 Memory:0 NanoCPUs:0 CgroupParent: BlkioWeight:0 BlkioWeightDevice:[] BlkioDeviceReadBps:[] BlkioDeviceWriteBps:[] BlkioDeviceReadIOps:[] BlkioDeviceWriteIOps:[] CPUPeriod:0 CPUQuota:0 CPURealtimePeriod:0 CPURealtimeRuntime:0 CpusetCpus: CpusetMems: Devices:[] DeviceCgroupRules:[] DeviceRequests:[] KernelMemory:0 KernelMemoryTCP:0 MemoryReservation:0 MemorySwap:0 MemorySwappiness:<nil> OomKillDisable:<nil> PidsLimit:<nil> Ulimits:[] CPUCount:0 CPUPercent:0 IOMaximumIOps:0 IOMaximumBandwidth:0} Mounts:[{Type:volume Source:act-toolcache Target:/toolcache ReadOnly:false Consistency: BindOptions:<nil> VolumeOptions:<nil> TmpfsOptions:<nil>} {Type:volume Source:act-argocd-diff-ArgoCD-diff-env Target:/var/run/act ReadOnly:false Consistency: BindOptions:<nil> VolumeOptions:<nil> TmpfsOptions:<nil>}] MaskedPaths:[] ReadonlyPaths:[] Init:<nil>}
[argocd-diff/ArgoCD diff] [DEBUG] Created container name=act-argocd-diff-ArgoCD-diff id=7c7dfc7fd3b44baf727b8f8e57630bd7c936c4e4e993a515df92b359d3118255 from image catthehacker/ubuntu:act-latest (platform: )
[argocd-diff/ArgoCD diff] [DEBUG] ENV ==> [RUNNER_TOOL_CACHE=/opt/hostedtoolcache RUNNER_OS=Linux RUNNER_ARCH=arm64 RUNNER_TEMP=/tmp]
[argocd-diff/ArgoCD diff]   🐳  docker run image=catthehacker/ubuntu:act-latest platform= entrypoint=["/usr/bin/tail" "-f" "/dev/null"] cmd=[]
[argocd-diff/ArgoCD diff] [DEBUG] Starting container: 7c7dfc7fd3b44baf727b8f8e57630bd7c936c4e4e993a515df92b359d3118255
[argocd-diff/ArgoCD diff] [DEBUG] Started container: 7c7dfc7fd3b44baf727b8f8e57630bd7c936c4e4e993a515df92b359d3118255
[argocd-diff/ArgoCD diff] [DEBUG] Writing entry to tarball workflow/event.json len:2
[argocd-diff/ArgoCD diff] [DEBUG] Writing entry to tarball workflow/envs.txt len:0
[argocd-diff/ArgoCD diff] [DEBUG] Writing entry to tarball workflow/paths.txt len:0
[argocd-diff/ArgoCD diff] [DEBUG] Extracting content to '/var/run/act/'
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Skipping local actions/checkout because workdir was already copied
[argocd-diff/ArgoCD diff] [DEBUG] skip pre step for 'checkout': no action model available
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Skipping local actions/checkout because workdir was already copied
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] setupEnv => map[ACT:true AGENT_TOOLSDIRECTORY:/opt/hostedtoolcache CI:true DEBIAN_FRONTEND:noninteractive DEPLOYMENT_BASEPATH:/opt/runner GITHUB_ACTION:0 GITHUB_ACTIONS:true GITHUB_ACTION_PATH: GITHUB_ACTION_REF:v3 GITHUB_ACTION_REPOSITORY:actions/checkout GITHUB_ACTOR:nektos/act GITHUB_API_URL:https://api.github.com GITHUB_BASE_REF: GITHUB_ENV:/var/run/act/workflow/envs.txt GITHUB_EVENT_NAME:pull_request GITHUB_EVENT_PATH:/var/run/act/workflow/event.json GITHUB_GRAPHQL_URL:https://api.github.com/graphql GITHUB_HEAD_REF: GITHUB_JOB:ArgoCD diff GITHUB_PATH:/var/run/act/workflow/paths.txt GITHUB_REF:refs/pull/%!f(<nil>)/merge GITHUB_REF_NAME: GITHUB_REF_TYPE: GITHUB_REPOSITORY:dat-freight-and-analytics/github-actions GITHUB_REPOSITORY_OWNER:dat-freight-and-analytics GITHUB_RETENTION_DAYS:0 GITHUB_RUN_ID:1 GITHUB_RUN_NUMBER:1 GITHUB_SERVER_URL:https://github.com GITHUB_SHA:f9c68e502bac74f73ec7b2f7f986638f3eb1b19e GITHUB_TOKEN: GITHUB_WORKFLOW:argocd-diff GITHUB_WORKSPACE:/Users/./code/misc/github-actions IMAGE_OS:ubuntu20 INPUT_FETCH-DEPTH:0 ImageOS:selfhosted LSB_OS_VERSION:2004 LSB_RELEASE:20.04 PATH:/opt/hostedtoolcache/node/16.18.0/arm64/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUNNER_PERFLOG:/dev/null RUNNER_TRACKING_ID: RUNNER_USER:root RUN_TOOL_CACHE:/opt/hostedtoolcache USER:root]
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] evaluating expression ''
[argocd-diff/ArgoCD diff] [DEBUG] expression '' evaluated to 'true'
[argocd-diff/ArgoCD diff] ⭐ Run Main checkout
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Skipping local actions/checkout because you bound your workspace
[argocd-diff/ArgoCD diff]   ✅  Success - Main checkout
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] setupEnv => map[ACT:true AGENT_TOOLSDIRECTORY:/opt/hostedtoolcache CI:true DEBIAN_FRONTEND:noninteractive DEPLOYMENT_BASEPATH:/opt/runner GITHUB_ACTION:test GITHUB_ACTIONS:true GITHUB_ACTION_PATH: GITHUB_ACTION_REF: GITHUB_ACTION_REPOSITORY: GITHUB_ACTOR:nektos/act GITHUB_API_URL:https://api.github.com GITHUB_BASE_REF: GITHUB_ENV:/var/run/act/workflow/envs.txt GITHUB_EVENT_NAME:pull_request GITHUB_EVENT_PATH:/var/run/act/workflow/event.json GITHUB_GRAPHQL_URL:https://api.github.com/graphql GITHUB_HEAD_REF: GITHUB_JOB:ArgoCD diff GITHUB_PATH:/var/run/act/workflow/paths.txt GITHUB_REF:refs/pull/%!f(<nil>)/merge GITHUB_REF_NAME: GITHUB_REF_TYPE: GITHUB_REPOSITORY:dat-freight-and-analytics/github-actions GITHUB_REPOSITORY_OWNER:dat-freight-and-analytics GITHUB_RETENTION_DAYS:0 GITHUB_RUN_ID:1 GITHUB_RUN_NUMBER:1 GITHUB_SERVER_URL:https://github.com GITHUB_SHA:f9c68e502bac74f73ec7b2f7f986638f3eb1b19e GITHUB_TOKEN: GITHUB_WORKFLOW:argocd-diff GITHUB_WORKSPACE:/Users/./code/misc/github-actions IMAGE_OS:ubuntu20 ImageOS:selfhosted LSB_OS_VERSION:2004 LSB_RELEASE:20.04 PATH:/opt/hostedtoolcache/node/16.18.0/arm64/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUNNER_PERFLOG:/dev/null RUNNER_TRACKING_ID: RUNNER_USER:root RUN_TOOL_CACHE:/opt/hostedtoolcache USER:root ]
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] evaluating expression ''
[argocd-diff/ArgoCD diff] [DEBUG] expression '' evaluated to 'true'
[argocd-diff/ArgoCD diff] ⭐ Run Main test
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Wrote command

echo "fooBar=value" >> $GITHUB_ENV


 to 'workflow/test'
[argocd-diff/ArgoCD diff] [DEBUG] Writing entry to tarball workflow/test len:37
[argocd-diff/ArgoCD diff] [DEBUG] Extracting content to '/var/run/act'
[argocd-diff/ArgoCD diff]   🐳  docker exec cmd=[bash --noprofile --norc -e -o pipefail /var/run/act/workflow/test] user= workdir=
[argocd-diff/ArgoCD diff] [DEBUG] Exec command '[bash --noprofile --norc -e -o pipefail /var/run/act/workflow/test]'
[argocd-diff/ArgoCD diff] [DEBUG] Working directory '/Users/./code/misc/github-actions'
[argocd-diff/ArgoCD diff]   ✅  Success - Main test
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] setupEnv => map[ACT:true AGENT_TOOLSDIRECTORY:/opt/hostedtoolcache CI:true DEBIAN_FRONTEND:noninteractive DEPLOYMENT_BASEPATH:/opt/runner GITHUB_ACTION:2 GITHUB_ACTIONS:true GITHUB_ACTION_PATH: GITHUB_ACTION_REF: GITHUB_ACTION_REPOSITORY: GITHUB_ACTOR:nektos/act GITHUB_API_URL:https://api.github.com GITHUB_BASE_REF: GITHUB_ENV:/var/run/act/workflow/envs.txt GITHUB_EVENT_NAME:pull_request GITHUB_EVENT_PATH:/var/run/act/workflow/event.json GITHUB_GRAPHQL_URL:https://api.github.com/graphql GITHUB_HEAD_REF: GITHUB_JOB:ArgoCD diff GITHUB_PATH:/var/run/act/workflow/paths.txt GITHUB_REF:refs/pull/%!f(<nil>)/merge GITHUB_REF_NAME: GITHUB_REF_TYPE: GITHUB_REPOSITORY:dat-freight-and-analytics/github-actions GITHUB_REPOSITORY_OWNER:dat-freight-and-analytics GITHUB_RETENTION_DAYS:0 GITHUB_RUN_ID:1 GITHUB_RUN_NUMBER:1 GITHUB_SERVER_URL:https://github.com GITHUB_SHA:f9c68e502bac74f73ec7b2f7f986638f3eb1b19e GITHUB_TOKEN: GITHUB_WORKFLOW:argocd-diff GITHUB_WORKSPACE:/Users/./code/misc/github-actions IMAGE_OS:ubuntu20 ImageOS:selfhosted LSB_OS_VERSION:2004 LSB_RELEASE:20.04 PATH:/opt/hostedtoolcache/node/16.18.0/arm64/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUNNER_PERFLOG:/dev/null RUNNER_TRACKING_ID: RUNNER_USER:root RUN_TOOL_CACHE:/opt/hostedtoolcache USER:root  fooBar:value]
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] evaluating expression ''
[argocd-diff/ArgoCD diff] [DEBUG] expression '' evaluated to 'true'
[argocd-diff/ArgoCD diff] ⭐ Run Main output
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Wrote command

env


 to 'workflow/2'
[argocd-diff/ArgoCD diff] [DEBUG] Writing entry to tarball workflow/2 len:6
[argocd-diff/ArgoCD diff] [DEBUG] Extracting content to '/var/run/act'
[argocd-diff/ArgoCD diff]   🐳  docker exec cmd=[bash --noprofile --norc -e -o pipefail /var/run/act/workflow/2] user= workdir=
[argocd-diff/ArgoCD diff] [DEBUG] Exec command '[bash --noprofile --norc -e -o pipefail /var/run/act/workflow/2]'
[argocd-diff/ArgoCD diff] [DEBUG] Working directory '/Users/./code/misc/github-actions'
| GITHUB_WORKSPACE=/Users/./code/misc/github-actions
| HOSTNAME=docker-desktop
| GITHUB_PATH=/var/run/act/workflow/paths.txt
| GITHUB_ACTION=2
| LSB_OS_VERSION=2004
| GITHUB_RUN_NUMBER=1
| LSB_RELEASE=20.04
| IMAGE_OS=ubuntu20
| GITHUB_REF_TYPE=
| PWD=/Users/./code/misc/github-actions
| DEPLOYMENT_BASEPATH=/opt/runner
| GITHUB_ACTIONS=true
| GITHUB_SHA=f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
| GITHUB_REF=refs/pull/%!f(<nil>)/merge
| ACT=true
| RUNNER_OS=Linux
| HOME=/root
| GITHUB_API_URL=https://api.github.com
| GITHUB_TOKEN=
| RUNNER_TRACKING_ID=
| RUNNER_ARCH=arm64
| RUNNER_TEMP=/tmp
| GITHUB_ENV=/var/run/act/workflow/envs.txt
| GITHUB_EVENT_PATH=/var/run/act/workflow/event.json
| GITHUB_EVENT_NAME=pull_request
| GITHUB_RUN_ID=1
| GITHUB_ACTOR=nektos/act
| GITHUB_GRAPHQL_URL=https://api.github.com/graphql
| TERM=xterm
| RUNNER_USER=root
| USER=root
| RUN_TOOL_CACHE=/opt/hostedtoolcache
| GITHUB_ACTION_PATH=
| GITHUB_SERVER_URL=https://github.com
| SHLVL=1
| RUNNER_TOOL_CACHE=/opt/hostedtoolcache
| GITHUB_REF_NAME=
| GITHUB_JOB=ArgoCD diff
| GITHUB_REPOSITORY=dat-freight-and-analytics/github-actions
|
| GITHUB_RETENTION_DAYS=0
| GITHUB_ACTION_REPOSITORY=
| fooBar=value
| PATH=/opt/hostedtoolcache/node/16.18.0/arm64/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
| RUNNER_PERFLOG=/dev/null
| GITHUB_BASE_REF=
| CI=true
| ImageOS=selfhosted
| GITHUB_REPOSITORY_OWNER=dat-freight-and-analytics
| GITHUB_HEAD_REF=
| GITHUB_ACTION_REF=
| GITHUB_WORKFLOW=argocd-diff
| DEBIAN_FRONTEND=noninteractive
| AGENT_TOOLSDIRECTORY=/opt/hostedtoolcache
| _=/usr/bin/env
[argocd-diff/ArgoCD diff]   ✅  Success - Main output
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] expression '${{ env.fooBar }}' rewritten to 'format('{0}', env.fooBar)'
[argocd-diff/ArgoCD diff] [DEBUG] evaluating expression 'format('{0}', env.fooBar)'
[argocd-diff/ArgoCD diff] [DEBUG] expression 'format('{0}', env.fooBar)' evaluated to '%!t(string=)'
[argocd-diff/ArgoCD diff] [DEBUG] setupEnv => map[ACT:true AGENT_TOOLSDIRECTORY:/opt/hostedtoolcache CI:true DEBIAN_FRONTEND:noninteractive DEPLOYMENT_BASEPATH:/opt/runner GITHUB_ACTION:3 GITHUB_ACTIONS:true GITHUB_ACTION_PATH: GITHUB_ACTION_REF: GITHUB_ACTION_REPOSITORY: GITHUB_ACTOR:nektos/act GITHUB_API_URL:https://api.github.com GITHUB_BASE_REF: GITHUB_ENV:/var/run/act/workflow/envs.txt GITHUB_EVENT_NAME:pull_request GITHUB_EVENT_PATH:/var/run/act/workflow/event.json GITHUB_GRAPHQL_URL:https://api.github.com/graphql GITHUB_HEAD_REF: GITHUB_JOB:ArgoCD diff GITHUB_PATH:/var/run/act/workflow/paths.txt GITHUB_REF:refs/pull/%!f(<nil>)/merge GITHUB_REF_NAME: GITHUB_REF_TYPE: GITHUB_REPOSITORY:dat-freight-and-analytics/github-actions GITHUB_REPOSITORY_OWNER:dat-freight-and-analytics GITHUB_RETENTION_DAYS:0 GITHUB_RUN_ID:1 GITHUB_RUN_NUMBER:1 GITHUB_SERVER_URL:https://github.com GITHUB_SHA:f9c68e502bac74f73ec7b2f7f986638f3eb1b19e GITHUB_TOKEN: GITHUB_WORKFLOW:argocd-diff GITHUB_WORKSPACE:/Users/./code/misc/github-actions IMAGE_OS:ubuntu20 INPUT_SOMEINPPUT: ImageOS:selfhosted LSB_OS_VERSION:2004 LSB_RELEASE:20.04 PATH:/opt/hostedtoolcache/node/16.18.0/arm64/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUNNER_PERFLOG:/dev/null RUNNER_TRACKING_ID: RUNNER_USER:root RUN_TOOL_CACHE:/opt/hostedtoolcache USER:root fooBar:value]
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] evaluating expression ''
[argocd-diff/ArgoCD diff] [DEBUG] expression '' evaluated to 'true'
[argocd-diff/ArgoCD diff] ⭐ Run Main diff
[argocd-diff/ArgoCD diff] [DEBUG] Read action &{ArgoCD diff application  Diff current application state against modifications made in source git repository. map[someInput:{Directory, relative to repository root, where gitops configuration is stored. true }] map[] {composite map[]   always()  always()   [] [{ {0 0    <nil> []    0 0} validate inputs  # validate all required inputs
[[ "${{ inputs.someInput }}" ]] || { echo "someInput is required"; exit 1; }
  bash {0 0    <nil> []    0 0} map[]  }]} { }} from 'Unknown'
[argocd-diff/ArgoCD diff] [DEBUG] About to run action &{ArgoCD diff application  Diff current application state against modifications made in source git repository. map[someInput:{Directory, relative to repository root, where gitops configuration is stored. true }] map[] {composite map[]   always()  always()   [] [{ {0 0    <nil> []    0 0} validate inputs  # validate all required inputs
[[ "${{ inputs.someInput }}" ]] || { echo "someInput is required"; exit 1; }
  bash {0 0    <nil> []    0 0} map[]  }]} { }}
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] type=local-action actionDir=/Users/./code/misc/github-actions actionPath= workdir=/Users/./code/misc/github-actions actionCacheDir=/Users/./.cache/act actionName=./ containerActionDir=/Users/./code/misc/github-actions/
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] setupEnv => map[ACT:true AGENT_TOOLSDIRECTORY:/opt/hostedtoolcache CI:true DEBIAN_FRONTEND:noninteractive DEPLOYMENT_BASEPATH:/opt/runner GITHUB_ACTION:0 GITHUB_ACTIONS:true GITHUB_ACTION_PATH:/Users/./code/misc/github-actions/ GITHUB_ACTION_REF: GITHUB_ACTION_REPOSITORY: GITHUB_ACTOR:nektos/act GITHUB_API_URL:https://api.github.com GITHUB_BASE_REF: GITHUB_ENV:/var/run/act/workflow/envs.txt GITHUB_EVENT_NAME:pull_request GITHUB_EVENT_PATH:/var/run/act/workflow/event.json GITHUB_GRAPHQL_URL:https://api.github.com/graphql GITHUB_HEAD_REF: GITHUB_JOB:ArgoCD diff GITHUB_PATH:/var/run/act/workflow/paths.txt GITHUB_REF:refs/pull/%!f(<nil>)/merge GITHUB_REF_NAME: GITHUB_REF_TYPE: GITHUB_REPOSITORY:dat-freight-and-analytics/github-actions GITHUB_REPOSITORY_OWNER:dat-freight-and-analytics GITHUB_RETENTION_DAYS:0 GITHUB_RUN_ID:1 GITHUB_RUN_NUMBER:1 GITHUB_SERVER_URL:https://github.com GITHUB_SHA:f9c68e502bac74f73ec7b2f7f986638f3eb1b19e GITHUB_TOKEN: GITHUB_WORKFLOW:argocd-diff GITHUB_WORKSPACE:/Users/./code/misc/github-actions IMAGE_OS:ubuntu20 INPUT_SOMEINPUT: ImageOS:selfhosted LSB_OS_VERSION:2004 LSB_RELEASE:20.04 PATH:/opt/hostedtoolcache/node/16.18.0/arm64/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUNNER_PERFLOG:/dev/null RUNNER_TRACKING_ID: RUNNER_USER:root RUN_TOOL_CACHE:/opt/hostedtoolcache USER:root fooBar:value]
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] evaluating expression ''
[argocd-diff/ArgoCD diff] [DEBUG] expression '' evaluated to 'true'
[argocd-diff/ArgoCD diff] ⭐ Run Main validate inputs
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] expression '# validate all required inputs
[[ "${{ inputs.someInput }}" ]] || { echo "someInput is required"; exit 1; }
' rewritten to 'format('# validate all required inputs
[[ "{0}" ]] || {{ echo "someInput is required"; exit 1; }}
', inputs.someInput)'
[argocd-diff/ArgoCD diff] [DEBUG] evaluating expression 'format('# validate all required inputs
[[ "{0}" ]] || {{ echo "someInput is required"; exit 1; }}
', inputs.someInput)'
[argocd-diff/ArgoCD diff] [DEBUG] expression 'format('# validate all required inputs
[[ "{0}" ]] || {{ echo "someInput is required"; exit 1; }}
', inputs.someInput)' evaluated to '%!t(string=# validate all required inputs
[[ "" ]] || { echo "someInput is required"; exit 1; }
)'
[argocd-diff/ArgoCD diff] [DEBUG] Wrote command

# validate all required inputs
[[ "" ]] || { echo "someInput is required"; exit 1; }


 to 'workflow/3-composite-0.sh'
[argocd-diff/ArgoCD diff] [DEBUG] Writing entry to tarball workflow/3-composite-0.sh len:87
[argocd-diff/ArgoCD diff] [DEBUG] Extracting content to '/var/run/act'
[argocd-diff/ArgoCD diff]   🐳  docker exec cmd=[bash --noprofile --norc -e -o pipefail /var/run/act/workflow/3-composite-0.sh] user= workdir=
[argocd-diff/ArgoCD diff] [DEBUG] Exec command '[bash --noprofile --norc -e -o pipefail /var/run/act/workflow/3-composite-0.sh]'
[argocd-diff/ArgoCD diff] [DEBUG] Working directory '/Users/./code/misc/github-actions'
| someInput is required
[argocd-diff/ArgoCD diff]   ❌  Failure - Main validate inputs
[argocd-diff/ArgoCD diff] exitcode '1': failure
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff]   ❌  Failure - Main diff
[argocd-diff/ArgoCD diff] exitcode '1': failure
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] expression '${{ env.fooBar }}' rewritten to 'format('{0}', env.fooBar)'
[argocd-diff/ArgoCD diff] [DEBUG] evaluating expression 'format('{0}', env.fooBar)'
[argocd-diff/ArgoCD diff] [DEBUG] expression 'format('{0}', env.fooBar)' evaluated to '%!t(string=)'
[argocd-diff/ArgoCD diff] [DEBUG] setupEnv => map[ACT:true AGENT_TOOLSDIRECTORY:/opt/hostedtoolcache CI:true DEBIAN_FRONTEND:noninteractive DEPLOYMENT_BASEPATH:/opt/runner GITHUB_ACTION:post-3 GITHUB_ACTIONS:true GITHUB_ACTION_PATH: GITHUB_ACTION_REF: GITHUB_ACTION_REPOSITORY: GITHUB_ACTOR:nektos/act GITHUB_API_URL:https://api.github.com GITHUB_BASE_REF: GITHUB_ENV:/var/run/act/workflow/envs.txt GITHUB_EVENT_NAME:pull_request GITHUB_EVENT_PATH:/var/run/act/workflow/event.json GITHUB_GRAPHQL_URL:https://api.github.com/graphql GITHUB_HEAD_REF: GITHUB_JOB:ArgoCD diff GITHUB_PATH:/var/run/act/workflow/paths.txt GITHUB_REF:refs/pull/%!f(<nil>)/merge GITHUB_REF_NAME: GITHUB_REF_TYPE: GITHUB_REPOSITORY:dat-freight-and-analytics/github-actions GITHUB_REPOSITORY_OWNER:dat-freight-and-analytics GITHUB_RETENTION_DAYS:0 GITHUB_RUN_ID:1 GITHUB_RUN_NUMBER:1 GITHUB_SERVER_URL:https://github.com GITHUB_SHA:f9c68e502bac74f73ec7b2f7f986638f3eb1b19e GITHUB_TOKEN: GITHUB_WORKFLOW:argocd-diff GITHUB_WORKSPACE:/Users/./code/misc/github-actions IMAGE_OS:ubuntu20 INPUT_SOMEINPPUT: INPUT_SOMEINPUT: ImageOS:selfhosted LSB_OS_VERSION:2004 LSB_RELEASE:20.04 PATH:/opt/hostedtoolcache/node/16.18.0/arm64/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUNNER_PERFLOG:/dev/null RUNNER_TRACKING_ID: RUNNER_USER:root RUN_TOOL_CACHE:/opt/hostedtoolcache USER:root fooBar:value]
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
[argocd-diff/ArgoCD diff] [DEBUG] evaluating expression 'always()'
[argocd-diff/ArgoCD diff] [DEBUG] expression 'always()' evaluated to 'true'
[argocd-diff/ArgoCD diff] ⭐ Run Post diff
[argocd-diff/ArgoCD diff] [DEBUG] run post step for 'diff'
[argocd-diff/ArgoCD diff]   ✅  Success - Post diff
[argocd-diff/ArgoCD diff] [DEBUG] skipping post step for 'checkout': no action model available
[argocd-diff/ArgoCD diff] 🏁  Job failed
[argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git'
[argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e
Error: Job 'ArgoCD diff' failed

Additional information

No response

Originally created by @cyrus-mc on GitHub (Oct 31, 2022). Original GitHub issue: https://github.com/nektos/act/issues/1421 ### Bug report info ```plain text › act --bug-report act version: 0.2.32-20-gbc17371 GOOS: darwin GOARCH: arm64 NumCPU: 10 Docker host: DOCKER_HOST environment variable is unset/empty. Sockets found: /var/run/docker.sock Config files: /Users/matthewceroni/.actrc: -P ubuntu-latest=catthehacker/ubuntu:act-latest -P ubuntu-22.04=catthehacker/ubuntu:act-22.04 -P ubuntu-20.04=catthehacker/ubuntu:act-20.04 -P ubuntu-18.04=catthehacker/ubuntu:act-18.04 .actrc: -P self-hosted=catthehacker/ubuntu:act-latest --bind -v Build info: Go version: go1.19 Module path: command-line-arguments Main version: Main path: Main checksum: Build settings: -compiler: gc -ldflags: -X main.version=0.2.32-20-gbc17371 CGO_ENABLED: 1 CGO_CFLAGS: CGO_CPPFLAGS: CGO_CXXFLAGS: CGO_LDFLAGS: GOARCH: arm64 GOOS: darwin Docker Engine: Engine version: 20.10.12 Engine runtime: runc Cgroup version: 2 Cgroup driver: cgroupfs Storage driver: overlay2 Registry URI: https://index.docker.io/v1/ OS: Docker Desktop OS type: linux OS version: OS arch: aarch64 OS kernel: 5.10.76-linuxkit OS CPU: 5 OS memory: 7936 MB Security options: name=seccomp,profile=default name=cgroupns ``` ### Command used with act ```sh act -P self-hosted=catthehacker/ubuntu:act-latest --bind ``` ### Describe issue I have the following sample workflow ``` name: example on: [ pull_request ] jobs: diff: runs-on: [ self-hosted ] name: ArgoCD diff steps: - name: checkout uses: actions/checkout@v3 with: fetch-depth: 0 - name: test id: test run: | echo "fooBar=fooValue" >> $GITHUB_ENV - name: output run: | env - name: diff uses: ./ with: someInput: ${{ env.fooBar }}}} ``` For the last action `someInput` is required. The previous step that dumps the `env` shows that `fooBar` is present. But the final step errors with `someInput` is a required input (I am doing input validation within that custom action). When running this in GitHub it works as expected, with the value of `env.fooBar` being passed to the action. ### Link to GitHub repository _No response_ ### Workflow content ```yml name: example on: [ pull_request ] jobs: diff: runs-on: [ self-hosted ] name: ArgoCD diff steps: - name: checkout uses: actions/checkout@v3 with: fetch-depth: 0 - name: test id: test run: | echo "fooBar=fooValue" >> $GITHUB_ENV - name: output run: | env - name: diff uses: ./ with: someInput: ${{ env.fooBar }}}} ``` ### Relevant log output ```sh WARN ⚠ You are using Apple M1 chip and you have not specified container architecture, you might encounter issues while running act. If so, try running it with '--container-architecture linux/amd64'. ⚠ DEBU[0000] Loading environment from /Users/./code/misc/github-actions/.env DEBU[0000] Loading secrets from /Users/./code/misc/github-actions/.secrets DEBU[0000] Loading workflows from '/Users/./code/misc/github-actions/.github/workflows' DEBU[0000] Loading workflows recursively DEBU[0000] Found workflow 'argocd-diff.yaml' in '/Users/./code/misc/github-actions/.github/workflows/argocd-diff.yaml' DEBU[0000] Found workflow 'argocd-diff.yaml.bkp' in '/Users/./code/misc/github-actions/.github/workflows/argocd-diff.yaml.bkp' DEBU[0000] Found workflow 'vault-secrets.yaml.bkp' in '/Users/./code/misc/github-actions/.github/workflows/vault-secrets.yaml.bkp' DEBU[0000] Reading workflow '/Users/./code/misc/github-actions/.github/workflows/argocd-diff.yaml' DEBU[0000] Preparing plan with all jobs DEBU[0000] Using the only detected workflow event: pull_request DEBU[0000] Planning jobs for event: pull_request DEBU[0000] Loading slug from git directory '/Users/./code/misc/github-actions/.git' DEBU[0000] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] evaluating expression 'success()' [argocd-diff/ArgoCD diff] [DEBUG] expression 'success()' evaluated to 'true' [argocd-diff/ArgoCD diff] 🚀 Start image=catthehacker/ubuntu:act-latest [argocd-diff/ArgoCD diff] 🐳 docker pull image=catthehacker/ubuntu:act-latest platform= username= forcePull=false [argocd-diff/ArgoCD diff] [DEBUG] 🐳 docker pull catthehacker/ubuntu:act-latest [argocd-diff/ArgoCD diff] [DEBUG] Image exists? true [argocd-diff/ArgoCD diff] [DEBUG] Removed container: 70c1c37f67904f347c07775988d4e2fedbd73578e78c78963d09be916c2b504c [argocd-diff/ArgoCD diff] [DEBUG] 🐳 docker volume rm act-argocd-diff-ArgoCD-diff-env [argocd-diff/ArgoCD diff] 🐳 docker create image=catthehacker/ubuntu:act-latest platform= entrypoint=["/usr/bin/tail" "-f" "/dev/null"] cmd=[] [argocd-diff/ArgoCD diff] [DEBUG] Common container.Config ==> &{Hostname: Domainname: User: AttachStdin:false AttachStdout:false AttachStderr:false ExposedPorts:map[] Tty:true OpenStdin:false StdinOnce:false Env:[RUNNER_TOOL_CACHE=/opt/hostedtoolcache RUNNER_OS=Linux RUNNER_ARCH=arm64 RUNNER_TEMP=/tmp] Cmd:[] Healthcheck:<nil> ArgsEscaped:false Image:catthehacker/ubuntu:act-latest Volumes:map[] WorkingDir:/Users/./code/misc/github-actions Entrypoint:[] NetworkDisabled:false MacAddress: OnBuild:[] Labels:map[] StopSignal: StopTimeout:<nil> Shell:[]} [argocd-diff/ArgoCD diff] [DEBUG] Common container.HostConfig ==> &{Binds:[/var/run/docker.sock:/var/run/docker.sock /Users/./code/misc/github-actions:/Users/./code/misc/github-actions:delegated] ContainerIDFile: LogConfig:{Type: Config:map[]} NetworkMode:host PortBindings:map[] RestartPolicy:{Name: MaximumRetryCount:0} AutoRemove:false VolumeDriver: VolumesFrom:[] CapAdd:[] CapDrop:[] CgroupnsMode: DNS:[] DNSOptions:[] DNSSearch:[] ExtraHosts:[] GroupAdd:[] IpcMode: Cgroup: Links:[] OomScoreAdj:0 PidMode: Privileged:false PublishAllPorts:false ReadonlyRootfs:false SecurityOpt:[] StorageOpt:map[] Tmpfs:map[] UTSMode: UsernsMode: ShmSize:0 Sysctls:map[] Runtime: ConsoleSize:[0 0] Isolation: Resources:{CPUShares:0 Memory:0 NanoCPUs:0 CgroupParent: BlkioWeight:0 BlkioWeightDevice:[] BlkioDeviceReadBps:[] BlkioDeviceWriteBps:[] BlkioDeviceReadIOps:[] BlkioDeviceWriteIOps:[] CPUPeriod:0 CPUQuota:0 CPURealtimePeriod:0 CPURealtimeRuntime:0 CpusetCpus: CpusetMems: Devices:[] DeviceCgroupRules:[] DeviceRequests:[] KernelMemory:0 KernelMemoryTCP:0 MemoryReservation:0 MemorySwap:0 MemorySwappiness:<nil> OomKillDisable:<nil> PidsLimit:<nil> Ulimits:[] CPUCount:0 CPUPercent:0 IOMaximumIOps:0 IOMaximumBandwidth:0} Mounts:[{Type:volume Source:act-toolcache Target:/toolcache ReadOnly:false Consistency: BindOptions:<nil> VolumeOptions:<nil> TmpfsOptions:<nil>} {Type:volume Source:act-argocd-diff-ArgoCD-diff-env Target:/var/run/act ReadOnly:false Consistency: BindOptions:<nil> VolumeOptions:<nil> TmpfsOptions:<nil>}] MaskedPaths:[] ReadonlyPaths:[] Init:<nil>} [argocd-diff/ArgoCD diff] [DEBUG] Created container name=act-argocd-diff-ArgoCD-diff id=7c7dfc7fd3b44baf727b8f8e57630bd7c936c4e4e993a515df92b359d3118255 from image catthehacker/ubuntu:act-latest (platform: ) [argocd-diff/ArgoCD diff] [DEBUG] ENV ==> [RUNNER_TOOL_CACHE=/opt/hostedtoolcache RUNNER_OS=Linux RUNNER_ARCH=arm64 RUNNER_TEMP=/tmp] [argocd-diff/ArgoCD diff] 🐳 docker run image=catthehacker/ubuntu:act-latest platform= entrypoint=["/usr/bin/tail" "-f" "/dev/null"] cmd=[] [argocd-diff/ArgoCD diff] [DEBUG] Starting container: 7c7dfc7fd3b44baf727b8f8e57630bd7c936c4e4e993a515df92b359d3118255 [argocd-diff/ArgoCD diff] [DEBUG] Started container: 7c7dfc7fd3b44baf727b8f8e57630bd7c936c4e4e993a515df92b359d3118255 [argocd-diff/ArgoCD diff] [DEBUG] Writing entry to tarball workflow/event.json len:2 [argocd-diff/ArgoCD diff] [DEBUG] Writing entry to tarball workflow/envs.txt len:0 [argocd-diff/ArgoCD diff] [DEBUG] Writing entry to tarball workflow/paths.txt len:0 [argocd-diff/ArgoCD diff] [DEBUG] Extracting content to '/var/run/act/' [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Skipping local actions/checkout because workdir was already copied [argocd-diff/ArgoCD diff] [DEBUG] skip pre step for 'checkout': no action model available [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Skipping local actions/checkout because workdir was already copied [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] setupEnv => map[ACT:true AGENT_TOOLSDIRECTORY:/opt/hostedtoolcache CI:true DEBIAN_FRONTEND:noninteractive DEPLOYMENT_BASEPATH:/opt/runner GITHUB_ACTION:0 GITHUB_ACTIONS:true GITHUB_ACTION_PATH: GITHUB_ACTION_REF:v3 GITHUB_ACTION_REPOSITORY:actions/checkout GITHUB_ACTOR:nektos/act GITHUB_API_URL:https://api.github.com GITHUB_BASE_REF: GITHUB_ENV:/var/run/act/workflow/envs.txt GITHUB_EVENT_NAME:pull_request GITHUB_EVENT_PATH:/var/run/act/workflow/event.json GITHUB_GRAPHQL_URL:https://api.github.com/graphql GITHUB_HEAD_REF: GITHUB_JOB:ArgoCD diff GITHUB_PATH:/var/run/act/workflow/paths.txt GITHUB_REF:refs/pull/%!f(<nil>)/merge GITHUB_REF_NAME: GITHUB_REF_TYPE: GITHUB_REPOSITORY:dat-freight-and-analytics/github-actions GITHUB_REPOSITORY_OWNER:dat-freight-and-analytics GITHUB_RETENTION_DAYS:0 GITHUB_RUN_ID:1 GITHUB_RUN_NUMBER:1 GITHUB_SERVER_URL:https://github.com GITHUB_SHA:f9c68e502bac74f73ec7b2f7f986638f3eb1b19e GITHUB_TOKEN: GITHUB_WORKFLOW:argocd-diff GITHUB_WORKSPACE:/Users/./code/misc/github-actions IMAGE_OS:ubuntu20 INPUT_FETCH-DEPTH:0 ImageOS:selfhosted LSB_OS_VERSION:2004 LSB_RELEASE:20.04 PATH:/opt/hostedtoolcache/node/16.18.0/arm64/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUNNER_PERFLOG:/dev/null RUNNER_TRACKING_ID: RUNNER_USER:root RUN_TOOL_CACHE:/opt/hostedtoolcache USER:root] [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] evaluating expression '' [argocd-diff/ArgoCD diff] [DEBUG] expression '' evaluated to 'true' [argocd-diff/ArgoCD diff] ⭐ Run Main checkout [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Skipping local actions/checkout because you bound your workspace [argocd-diff/ArgoCD diff] ✅ Success - Main checkout [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] setupEnv => map[ACT:true AGENT_TOOLSDIRECTORY:/opt/hostedtoolcache CI:true DEBIAN_FRONTEND:noninteractive DEPLOYMENT_BASEPATH:/opt/runner GITHUB_ACTION:test GITHUB_ACTIONS:true GITHUB_ACTION_PATH: GITHUB_ACTION_REF: GITHUB_ACTION_REPOSITORY: GITHUB_ACTOR:nektos/act GITHUB_API_URL:https://api.github.com GITHUB_BASE_REF: GITHUB_ENV:/var/run/act/workflow/envs.txt GITHUB_EVENT_NAME:pull_request GITHUB_EVENT_PATH:/var/run/act/workflow/event.json GITHUB_GRAPHQL_URL:https://api.github.com/graphql GITHUB_HEAD_REF: GITHUB_JOB:ArgoCD diff GITHUB_PATH:/var/run/act/workflow/paths.txt GITHUB_REF:refs/pull/%!f(<nil>)/merge GITHUB_REF_NAME: GITHUB_REF_TYPE: GITHUB_REPOSITORY:dat-freight-and-analytics/github-actions GITHUB_REPOSITORY_OWNER:dat-freight-and-analytics GITHUB_RETENTION_DAYS:0 GITHUB_RUN_ID:1 GITHUB_RUN_NUMBER:1 GITHUB_SERVER_URL:https://github.com GITHUB_SHA:f9c68e502bac74f73ec7b2f7f986638f3eb1b19e GITHUB_TOKEN: GITHUB_WORKFLOW:argocd-diff GITHUB_WORKSPACE:/Users/./code/misc/github-actions IMAGE_OS:ubuntu20 ImageOS:selfhosted LSB_OS_VERSION:2004 LSB_RELEASE:20.04 PATH:/opt/hostedtoolcache/node/16.18.0/arm64/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUNNER_PERFLOG:/dev/null RUNNER_TRACKING_ID: RUNNER_USER:root RUN_TOOL_CACHE:/opt/hostedtoolcache USER:root ] [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] evaluating expression '' [argocd-diff/ArgoCD diff] [DEBUG] expression '' evaluated to 'true' [argocd-diff/ArgoCD diff] ⭐ Run Main test [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Wrote command echo "fooBar=value" >> $GITHUB_ENV to 'workflow/test' [argocd-diff/ArgoCD diff] [DEBUG] Writing entry to tarball workflow/test len:37 [argocd-diff/ArgoCD diff] [DEBUG] Extracting content to '/var/run/act' [argocd-diff/ArgoCD diff] 🐳 docker exec cmd=[bash --noprofile --norc -e -o pipefail /var/run/act/workflow/test] user= workdir= [argocd-diff/ArgoCD diff] [DEBUG] Exec command '[bash --noprofile --norc -e -o pipefail /var/run/act/workflow/test]' [argocd-diff/ArgoCD diff] [DEBUG] Working directory '/Users/./code/misc/github-actions' [argocd-diff/ArgoCD diff] ✅ Success - Main test [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] setupEnv => map[ACT:true AGENT_TOOLSDIRECTORY:/opt/hostedtoolcache CI:true DEBIAN_FRONTEND:noninteractive DEPLOYMENT_BASEPATH:/opt/runner GITHUB_ACTION:2 GITHUB_ACTIONS:true GITHUB_ACTION_PATH: GITHUB_ACTION_REF: GITHUB_ACTION_REPOSITORY: GITHUB_ACTOR:nektos/act GITHUB_API_URL:https://api.github.com GITHUB_BASE_REF: GITHUB_ENV:/var/run/act/workflow/envs.txt GITHUB_EVENT_NAME:pull_request GITHUB_EVENT_PATH:/var/run/act/workflow/event.json GITHUB_GRAPHQL_URL:https://api.github.com/graphql GITHUB_HEAD_REF: GITHUB_JOB:ArgoCD diff GITHUB_PATH:/var/run/act/workflow/paths.txt GITHUB_REF:refs/pull/%!f(<nil>)/merge GITHUB_REF_NAME: GITHUB_REF_TYPE: GITHUB_REPOSITORY:dat-freight-and-analytics/github-actions GITHUB_REPOSITORY_OWNER:dat-freight-and-analytics GITHUB_RETENTION_DAYS:0 GITHUB_RUN_ID:1 GITHUB_RUN_NUMBER:1 GITHUB_SERVER_URL:https://github.com GITHUB_SHA:f9c68e502bac74f73ec7b2f7f986638f3eb1b19e GITHUB_TOKEN: GITHUB_WORKFLOW:argocd-diff GITHUB_WORKSPACE:/Users/./code/misc/github-actions IMAGE_OS:ubuntu20 ImageOS:selfhosted LSB_OS_VERSION:2004 LSB_RELEASE:20.04 PATH:/opt/hostedtoolcache/node/16.18.0/arm64/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUNNER_PERFLOG:/dev/null RUNNER_TRACKING_ID: RUNNER_USER:root RUN_TOOL_CACHE:/opt/hostedtoolcache USER:root fooBar:value] [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] evaluating expression '' [argocd-diff/ArgoCD diff] [DEBUG] expression '' evaluated to 'true' [argocd-diff/ArgoCD diff] ⭐ Run Main output [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Wrote command env to 'workflow/2' [argocd-diff/ArgoCD diff] [DEBUG] Writing entry to tarball workflow/2 len:6 [argocd-diff/ArgoCD diff] [DEBUG] Extracting content to '/var/run/act' [argocd-diff/ArgoCD diff] 🐳 docker exec cmd=[bash --noprofile --norc -e -o pipefail /var/run/act/workflow/2] user= workdir= [argocd-diff/ArgoCD diff] [DEBUG] Exec command '[bash --noprofile --norc -e -o pipefail /var/run/act/workflow/2]' [argocd-diff/ArgoCD diff] [DEBUG] Working directory '/Users/./code/misc/github-actions' | GITHUB_WORKSPACE=/Users/./code/misc/github-actions | HOSTNAME=docker-desktop | GITHUB_PATH=/var/run/act/workflow/paths.txt | GITHUB_ACTION=2 | LSB_OS_VERSION=2004 | GITHUB_RUN_NUMBER=1 | LSB_RELEASE=20.04 | IMAGE_OS=ubuntu20 | GITHUB_REF_TYPE= | PWD=/Users/./code/misc/github-actions | DEPLOYMENT_BASEPATH=/opt/runner | GITHUB_ACTIONS=true | GITHUB_SHA=f9c68e502bac74f73ec7b2f7f986638f3eb1b19e | GITHUB_REF=refs/pull/%!f(<nil>)/merge | ACT=true | RUNNER_OS=Linux | HOME=/root | GITHUB_API_URL=https://api.github.com | GITHUB_TOKEN= | RUNNER_TRACKING_ID= | RUNNER_ARCH=arm64 | RUNNER_TEMP=/tmp | GITHUB_ENV=/var/run/act/workflow/envs.txt | GITHUB_EVENT_PATH=/var/run/act/workflow/event.json | GITHUB_EVENT_NAME=pull_request | GITHUB_RUN_ID=1 | GITHUB_ACTOR=nektos/act | GITHUB_GRAPHQL_URL=https://api.github.com/graphql | TERM=xterm | RUNNER_USER=root | USER=root | RUN_TOOL_CACHE=/opt/hostedtoolcache | GITHUB_ACTION_PATH= | GITHUB_SERVER_URL=https://github.com | SHLVL=1 | RUNNER_TOOL_CACHE=/opt/hostedtoolcache | GITHUB_REF_NAME= | GITHUB_JOB=ArgoCD diff | GITHUB_REPOSITORY=dat-freight-and-analytics/github-actions | | GITHUB_RETENTION_DAYS=0 | GITHUB_ACTION_REPOSITORY= | fooBar=value | PATH=/opt/hostedtoolcache/node/16.18.0/arm64/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin | RUNNER_PERFLOG=/dev/null | GITHUB_BASE_REF= | CI=true | ImageOS=selfhosted | GITHUB_REPOSITORY_OWNER=dat-freight-and-analytics | GITHUB_HEAD_REF= | GITHUB_ACTION_REF= | GITHUB_WORKFLOW=argocd-diff | DEBIAN_FRONTEND=noninteractive | AGENT_TOOLSDIRECTORY=/opt/hostedtoolcache | _=/usr/bin/env [argocd-diff/ArgoCD diff] ✅ Success - Main output [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] expression '${{ env.fooBar }}' rewritten to 'format('{0}', env.fooBar)' [argocd-diff/ArgoCD diff] [DEBUG] evaluating expression 'format('{0}', env.fooBar)' [argocd-diff/ArgoCD diff] [DEBUG] expression 'format('{0}', env.fooBar)' evaluated to '%!t(string=)' [argocd-diff/ArgoCD diff] [DEBUG] setupEnv => map[ACT:true AGENT_TOOLSDIRECTORY:/opt/hostedtoolcache CI:true DEBIAN_FRONTEND:noninteractive DEPLOYMENT_BASEPATH:/opt/runner GITHUB_ACTION:3 GITHUB_ACTIONS:true GITHUB_ACTION_PATH: GITHUB_ACTION_REF: GITHUB_ACTION_REPOSITORY: GITHUB_ACTOR:nektos/act GITHUB_API_URL:https://api.github.com GITHUB_BASE_REF: GITHUB_ENV:/var/run/act/workflow/envs.txt GITHUB_EVENT_NAME:pull_request GITHUB_EVENT_PATH:/var/run/act/workflow/event.json GITHUB_GRAPHQL_URL:https://api.github.com/graphql GITHUB_HEAD_REF: GITHUB_JOB:ArgoCD diff GITHUB_PATH:/var/run/act/workflow/paths.txt GITHUB_REF:refs/pull/%!f(<nil>)/merge GITHUB_REF_NAME: GITHUB_REF_TYPE: GITHUB_REPOSITORY:dat-freight-and-analytics/github-actions GITHUB_REPOSITORY_OWNER:dat-freight-and-analytics GITHUB_RETENTION_DAYS:0 GITHUB_RUN_ID:1 GITHUB_RUN_NUMBER:1 GITHUB_SERVER_URL:https://github.com GITHUB_SHA:f9c68e502bac74f73ec7b2f7f986638f3eb1b19e GITHUB_TOKEN: GITHUB_WORKFLOW:argocd-diff GITHUB_WORKSPACE:/Users/./code/misc/github-actions IMAGE_OS:ubuntu20 INPUT_SOMEINPPUT: ImageOS:selfhosted LSB_OS_VERSION:2004 LSB_RELEASE:20.04 PATH:/opt/hostedtoolcache/node/16.18.0/arm64/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUNNER_PERFLOG:/dev/null RUNNER_TRACKING_ID: RUNNER_USER:root RUN_TOOL_CACHE:/opt/hostedtoolcache USER:root fooBar:value] [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] evaluating expression '' [argocd-diff/ArgoCD diff] [DEBUG] expression '' evaluated to 'true' [argocd-diff/ArgoCD diff] ⭐ Run Main diff [argocd-diff/ArgoCD diff] [DEBUG] Read action &{ArgoCD diff application Diff current application state against modifications made in source git repository. map[someInput:{Directory, relative to repository root, where gitops configuration is stored. true }] map[] {composite map[] always() always() [] [{ {0 0 <nil> [] 0 0} validate inputs # validate all required inputs [[ "${{ inputs.someInput }}" ]] || { echo "someInput is required"; exit 1; } bash {0 0 <nil> [] 0 0} map[] }]} { }} from 'Unknown' [argocd-diff/ArgoCD diff] [DEBUG] About to run action &{ArgoCD diff application Diff current application state against modifications made in source git repository. map[someInput:{Directory, relative to repository root, where gitops configuration is stored. true }] map[] {composite map[] always() always() [] [{ {0 0 <nil> [] 0 0} validate inputs # validate all required inputs [[ "${{ inputs.someInput }}" ]] || { echo "someInput is required"; exit 1; } bash {0 0 <nil> [] 0 0} map[] }]} { }} [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] type=local-action actionDir=/Users/./code/misc/github-actions actionPath= workdir=/Users/./code/misc/github-actions actionCacheDir=/Users/./.cache/act actionName=./ containerActionDir=/Users/./code/misc/github-actions/ [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] setupEnv => map[ACT:true AGENT_TOOLSDIRECTORY:/opt/hostedtoolcache CI:true DEBIAN_FRONTEND:noninteractive DEPLOYMENT_BASEPATH:/opt/runner GITHUB_ACTION:0 GITHUB_ACTIONS:true GITHUB_ACTION_PATH:/Users/./code/misc/github-actions/ GITHUB_ACTION_REF: GITHUB_ACTION_REPOSITORY: GITHUB_ACTOR:nektos/act GITHUB_API_URL:https://api.github.com GITHUB_BASE_REF: GITHUB_ENV:/var/run/act/workflow/envs.txt GITHUB_EVENT_NAME:pull_request GITHUB_EVENT_PATH:/var/run/act/workflow/event.json GITHUB_GRAPHQL_URL:https://api.github.com/graphql GITHUB_HEAD_REF: GITHUB_JOB:ArgoCD diff GITHUB_PATH:/var/run/act/workflow/paths.txt GITHUB_REF:refs/pull/%!f(<nil>)/merge GITHUB_REF_NAME: GITHUB_REF_TYPE: GITHUB_REPOSITORY:dat-freight-and-analytics/github-actions GITHUB_REPOSITORY_OWNER:dat-freight-and-analytics GITHUB_RETENTION_DAYS:0 GITHUB_RUN_ID:1 GITHUB_RUN_NUMBER:1 GITHUB_SERVER_URL:https://github.com GITHUB_SHA:f9c68e502bac74f73ec7b2f7f986638f3eb1b19e GITHUB_TOKEN: GITHUB_WORKFLOW:argocd-diff GITHUB_WORKSPACE:/Users/./code/misc/github-actions IMAGE_OS:ubuntu20 INPUT_SOMEINPUT: ImageOS:selfhosted LSB_OS_VERSION:2004 LSB_RELEASE:20.04 PATH:/opt/hostedtoolcache/node/16.18.0/arm64/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUNNER_PERFLOG:/dev/null RUNNER_TRACKING_ID: RUNNER_USER:root RUN_TOOL_CACHE:/opt/hostedtoolcache USER:root fooBar:value] [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] evaluating expression '' [argocd-diff/ArgoCD diff] [DEBUG] expression '' evaluated to 'true' [argocd-diff/ArgoCD diff] ⭐ Run Main validate inputs [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] expression '# validate all required inputs [[ "${{ inputs.someInput }}" ]] || { echo "someInput is required"; exit 1; } ' rewritten to 'format('# validate all required inputs [[ "{0}" ]] || {{ echo "someInput is required"; exit 1; }} ', inputs.someInput)' [argocd-diff/ArgoCD diff] [DEBUG] evaluating expression 'format('# validate all required inputs [[ "{0}" ]] || {{ echo "someInput is required"; exit 1; }} ', inputs.someInput)' [argocd-diff/ArgoCD diff] [DEBUG] expression 'format('# validate all required inputs [[ "{0}" ]] || {{ echo "someInput is required"; exit 1; }} ', inputs.someInput)' evaluated to '%!t(string=# validate all required inputs [[ "" ]] || { echo "someInput is required"; exit 1; } )' [argocd-diff/ArgoCD diff] [DEBUG] Wrote command # validate all required inputs [[ "" ]] || { echo "someInput is required"; exit 1; } to 'workflow/3-composite-0.sh' [argocd-diff/ArgoCD diff] [DEBUG] Writing entry to tarball workflow/3-composite-0.sh len:87 [argocd-diff/ArgoCD diff] [DEBUG] Extracting content to '/var/run/act' [argocd-diff/ArgoCD diff] 🐳 docker exec cmd=[bash --noprofile --norc -e -o pipefail /var/run/act/workflow/3-composite-0.sh] user= workdir= [argocd-diff/ArgoCD diff] [DEBUG] Exec command '[bash --noprofile --norc -e -o pipefail /var/run/act/workflow/3-composite-0.sh]' [argocd-diff/ArgoCD diff] [DEBUG] Working directory '/Users/./code/misc/github-actions' | someInput is required [argocd-diff/ArgoCD diff] ❌ Failure - Main validate inputs [argocd-diff/ArgoCD diff] exitcode '1': failure [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] ❌ Failure - Main diff [argocd-diff/ArgoCD diff] exitcode '1': failure [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] expression '${{ env.fooBar }}' rewritten to 'format('{0}', env.fooBar)' [argocd-diff/ArgoCD diff] [DEBUG] evaluating expression 'format('{0}', env.fooBar)' [argocd-diff/ArgoCD diff] [DEBUG] expression 'format('{0}', env.fooBar)' evaluated to '%!t(string=)' [argocd-diff/ArgoCD diff] [DEBUG] setupEnv => map[ACT:true AGENT_TOOLSDIRECTORY:/opt/hostedtoolcache CI:true DEBIAN_FRONTEND:noninteractive DEPLOYMENT_BASEPATH:/opt/runner GITHUB_ACTION:post-3 GITHUB_ACTIONS:true GITHUB_ACTION_PATH: GITHUB_ACTION_REF: GITHUB_ACTION_REPOSITORY: GITHUB_ACTOR:nektos/act GITHUB_API_URL:https://api.github.com GITHUB_BASE_REF: GITHUB_ENV:/var/run/act/workflow/envs.txt GITHUB_EVENT_NAME:pull_request GITHUB_EVENT_PATH:/var/run/act/workflow/event.json GITHUB_GRAPHQL_URL:https://api.github.com/graphql GITHUB_HEAD_REF: GITHUB_JOB:ArgoCD diff GITHUB_PATH:/var/run/act/workflow/paths.txt GITHUB_REF:refs/pull/%!f(<nil>)/merge GITHUB_REF_NAME: GITHUB_REF_TYPE: GITHUB_REPOSITORY:dat-freight-and-analytics/github-actions GITHUB_REPOSITORY_OWNER:dat-freight-and-analytics GITHUB_RETENTION_DAYS:0 GITHUB_RUN_ID:1 GITHUB_RUN_NUMBER:1 GITHUB_SERVER_URL:https://github.com GITHUB_SHA:f9c68e502bac74f73ec7b2f7f986638f3eb1b19e GITHUB_TOKEN: GITHUB_WORKFLOW:argocd-diff GITHUB_WORKSPACE:/Users/./code/misc/github-actions IMAGE_OS:ubuntu20 INPUT_SOMEINPPUT: INPUT_SOMEINPUT: ImageOS:selfhosted LSB_OS_VERSION:2004 LSB_RELEASE:20.04 PATH:/opt/hostedtoolcache/node/16.18.0/arm64/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUNNER_PERFLOG:/dev/null RUNNER_TRACKING_ID: RUNNER_USER:root RUN_TOOL_CACHE:/opt/hostedtoolcache USER:root fooBar:value] [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e [argocd-diff/ArgoCD diff] [DEBUG] evaluating expression 'always()' [argocd-diff/ArgoCD diff] [DEBUG] expression 'always()' evaluated to 'true' [argocd-diff/ArgoCD diff] ⭐ Run Post diff [argocd-diff/ArgoCD diff] [DEBUG] run post step for 'diff' [argocd-diff/ArgoCD diff] ✅ Success - Post diff [argocd-diff/ArgoCD diff] [DEBUG] skipping post step for 'checkout': no action model available [argocd-diff/ArgoCD diff] 🏁 Job failed [argocd-diff/ArgoCD diff] [DEBUG] Loading slug from git directory '/Users/./code/misc/github-actions/.git' [argocd-diff/ArgoCD diff] [DEBUG] Found revision: f9c68e502bac74f73ec7b2f7f986638f3eb1b19e Error: Job 'ArgoCD diff' failed ``` ### Additional information _No response_
kerem 2026-03-01 21:46:00 +03:00
  • closed this issue
  • added the
    kind/bug
    label
Author
Owner

@cyrus-mc commented on GitHub (Nov 2, 2022):

Appears this applies for outputs as well. So I tried to work around this by doing something like the following:

name: example

on: [ pull_request ]

jobs:
  diff:
    runs-on: [ self-hosted ]

    name: ArgoCD diff
    steps:
      - name: checkout
        uses: actions/checkout@v3
        with:
          fetch-depth: 0

      - name: test
        id: test
        run: |
          echo "fooBar=fooValue" >> $GITHUB_ENV

      - name: output
        id: test
        run: |
          env
          echo "::set-output name=fooBar::fooValue"

      - name: diff
        uses: ./
        with:
          someInput: ${{ steps.test.outputs.fooBar }}}}

But get same thing. The input is required and validation fails due to it being an empty string.

<!-- gh-comment-id:1299483733 --> @cyrus-mc commented on GitHub (Nov 2, 2022): Appears this applies for outputs as well. So I tried to work around this by doing something like the following: ``` name: example on: [ pull_request ] jobs: diff: runs-on: [ self-hosted ] name: ArgoCD diff steps: - name: checkout uses: actions/checkout@v3 with: fetch-depth: 0 - name: test id: test run: | echo "fooBar=fooValue" >> $GITHUB_ENV - name: output id: test run: | env echo "::set-output name=fooBar::fooValue" - name: diff uses: ./ with: someInput: ${{ steps.test.outputs.fooBar }}}} ``` But get same thing. The input is required and validation fails due to it being an empty string.
Author
Owner

@cyrus-mc commented on GitHub (Nov 2, 2022):

Being looking into the code and I think I found the issue. Expression evaluation uses the runContext environment.

/ GetEnv returns the env for the context
func (rc *RunContext) GetEnv() map[string]string {
	if rc.Env == nil {
		rc.Env = mergeMaps(rc.Run.Workflow.Env, rc.Run.Job().Environment(), rc.Config.Env)
	}
	rc.Env["ACT"] = "true"
	return rc.Env
}

So as you can see it only includes the environment for the workflow, job and config. When modifying the code to loop over the rc.Env it only includes a few environment variables at the stage of evaluation.

<!-- gh-comment-id:1299618894 --> @cyrus-mc commented on GitHub (Nov 2, 2022): Being looking into the code and I think I found the issue. Expression evaluation uses the runContext environment. ``` / GetEnv returns the env for the context func (rc *RunContext) GetEnv() map[string]string { if rc.Env == nil { rc.Env = mergeMaps(rc.Run.Workflow.Env, rc.Run.Job().Environment(), rc.Config.Env) } rc.Env["ACT"] = "true" return rc.Env } ``` So as you can see it only includes the environment for the workflow, job and config. When modifying the code to loop over the rc.Env it only includes a few environment variables at the stage of evaluation.
Author
Owner

@KnisterPeter commented on GitHub (Nov 2, 2022):

Please add your action.yml as well here.
I've did some changes lately. I'll have a look then.

<!-- gh-comment-id:1299623689 --> @KnisterPeter commented on GitHub (Nov 2, 2022): Please add your action.yml as well here. I've did some changes lately. I'll have a look then.
Author
Owner

@cyrus-mc commented on GitHub (Nov 2, 2022):

@KnisterPeter for the purposes of debugging I have a very simple action.yml

name: 'Test'
description: 'Testing'
inputs:
  someInput:
    description: "Some input"
    required: true
runs:
  using: "composite"
  steps:
    - name: validate inputs
      id: inputs
      run: |
        [[ "${{ inputs.someInput }}" ]] || { echo "someInput is required"; exit 1; }
      shell: bash
    - run: env
      shell: bash
<!-- gh-comment-id:1300728666 --> @cyrus-mc commented on GitHub (Nov 2, 2022): @KnisterPeter for the purposes of debugging I have a very simple `action.yml` ``` name: 'Test' description: 'Testing' inputs: someInput: description: "Some input" required: true runs: using: "composite" steps: - name: validate inputs id: inputs run: | [[ "${{ inputs.someInput }}" ]] || { echo "someInput is required"; exit 1; } shell: bash - run: env shell: bash ```
Author
Owner

@a-b commented on GitHub (Nov 17, 2022):

@cyrus-mc consider rotating your aws secrets

<!-- gh-comment-id:1317868923 --> @a-b commented on GitHub (Nov 17, 2022): @cyrus-mc consider rotating your aws secrets
Author
Owner

@cyrus-mc commented on GitHub (Nov 17, 2022):

Those were temporary. Long since expired. Or should have.

<!-- gh-comment-id:1317873080 --> @cyrus-mc commented on GitHub (Nov 17, 2022): Those were temporary. Long since expired. Or should have.
Author
Owner

@ChristopherHX commented on GitHub (Nov 23, 2022):

I'm looking into this issue right now.
I already fixed using the step env vars in the with block, see pr attached to this issue.

Since my big PR has been merged I try iron out critical bugs

<!-- gh-comment-id:1325659312 --> @ChristopherHX commented on GitHub (Nov 23, 2022): I'm looking into this issue right now. I already fixed using the step env vars in the with block, see pr attached to this issue. _Since my big PR has been merged I try iron out critical bugs_
Author
Owner

@github-actions[bot] commented on GitHub (Dec 24, 2022):

Issue is stale and will be closed in 14 days unless there is new activity

<!-- gh-comment-id:1364417121 --> @github-actions[bot] commented on GitHub (Dec 24, 2022): Issue is stale and will be closed in 14 days unless there is new activity
Author
Owner

@diepes commented on GitHub (Dec 30, 2022):

  • ran into this issue now. (2022-12-30)

  • local env vars ignored/missing for step: with uses: and with:

  • Fixed by trying latest act version.

brew unlink act
brew install act --HEAD

<!-- gh-comment-id:1367684036 --> @diepes commented on GitHub (Dec 30, 2022): - ran into this issue now. (2022-12-30) - local env vars ignored/missing for step: with uses: and with: - Fixed by trying latest act version. brew unlink act brew install act --HEAD
Sign in to join this conversation.
No milestone
No project
No assignees
1 participant
Notifications
Due date
The due date is invalid or out of range. Please use the format "yyyy-mm-dd".

No due date set.

Dependencies

No dependencies set.

Reference
starred/act#744
No description provided.